Bug 56556 - [patch]Fix plist issue in gnats
Summary: [patch]Fix plist issue in gnats
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-07 16:10 UTC by Kang Liu
Modified: 2003-09-20 14:47 UTC (History)
0 users

See Also:


Attachments
file.diff (285 bytes, patch)
2003-09-07 16:10 UTC, Kang Liu
no flags Details | Diff
file.diff (745 bytes, patch)
2003-09-07 16:10 UTC, Kang Liu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kang Liu 2003-09-07 16:10:13 UTC
The plist file in ports/databases/gnats is possible wrong.
It is because Kris add support for GNU info in bsd.port.mk at Mon Aug 4 01:17:39 2003 UTC (PR: ports/54883)

Fix: In my patch:
1. Add INFO=gnats send-pr
2. remove .info* from pkg-plist
3. dump PORTREVISION

PORTNAME=	gnats
 PORTVERSION=	3.113.1
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	databases elisp
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	gnats
@@ -26,6 +26,7 @@
 MAN1=		edit-pr.1 query-pr.1 send-pr.1
 MAN7=		gnats.7
 MAN8=		mkcat.8 rmcat.8 mkdist.8 queue-pr.8 file-pr.8 gen-index.8
+INFO=		gnats send-pr

 # this stops the configuration program from pulling installation
 # information in from the standard freebsd send-pr program
How-To-Repeat: Bento
Comment 1 Erwin Lansing freebsd_committer 2003-09-08 08:20:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->des

Over to maintainer
Comment 2 Dag-Erling Smørgrav freebsd_committer 2003-09-20 14:47:51 UTC
State Changed
From-To: open->closed

Committed, thanks.